Bug 200851 - [patch] net-mgmt/smokeping init script fails to check pid correctly
Summary: [patch] net-mgmt/smokeping init script fails to check pid correctly
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Rodrigo Osorio
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2015-06-14 13:18 UTC by Kan Sasaki
Modified: 2015-07-05 08:14 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (rodrigo)


Attachments
patch for smokeping.in (2.06 KB, text/plain)
2015-06-14 13:18 UTC, Kan Sasaki
no flags Details
patch for smokeping.in #2 (484 bytes, patch)
2015-07-01 13:23 UTC, Kan Sasaki
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Kan Sasaki 2015-06-14 13:18:00 UTC
Created attachment 157727 [details]
patch for smokeping.in
Comment 1 Kan Sasaki 2015-06-14 13:33:24 UTC
The last change for smokeping does not work with default config.

As allg@ayatan.org explained in PR198736, smokeping changes the processes whether config has multiple definitions in Probe section. Therefore, init script has to change the way of checking pid and my patch includes this change.
Comment 2 commit-hook freebsd_committer 2015-06-29 19:39:39 UTC
A commit references this bug:

Author: rodrigo
Date: Mon Jun 29 19:39:25 UTC 2015
New revision: 390934
URL: https://svnweb.freebsd.org/changeset/ports/390934

Log:
  Fix init script to check pid correctly

  PR:		200851
  Submitted by:	Kan Sasaki <sasaki@fcc.ad.jp>

Changes:
  head/net-mgmt/smokeping/Makefile
  head/net-mgmt/smokeping/files/smokeping.in
Comment 3 Rodrigo Osorio freebsd_committer 2015-06-29 19:39:57 UTC
committed thanks
Comment 4 Kan Sasaki 2015-07-01 13:23:41 UTC
Created attachment 158221 [details]
patch for smokeping.in #2
Comment 5 Kan Sasaki 2015-07-01 13:29:09 UTC
I am sorry for my mistake.

The patch I sent completely ignores smokeping_user, and smokeping always runs as root. I have attached a fixed patch.
Comment 6 Rodrigo Osorio freebsd_committer 2015-07-05 08:13:45 UTC
Committed with minor changes, thanks
Comment 7 commit-hook freebsd_committer 2015-07-05 08:14:06 UTC
A commit references this bug:

Author: rodrigo
Date: Sun Jul  5 08:13:11 UTC 2015
New revision: 391348
URL: https://svnweb.freebsd.org/changeset/ports/391348

Log:
  Fix previous mistake in the init script, committed with minor changes

  PR:		200851

Changes:
  head/net-mgmt/smokeping/Makefile
  head/net-mgmt/smokeping/files/smokeping.in